Subject: Re: [PATCH] symbolic-ref: check format of given reference

From: Michael Schubert <[email-masked]>
Date: Mon, 18 Jun 2012 14:02:45 +0200

On 06/17/2012 10:55 PM, Junio C Hamano wrote:
> Michael Schubert <[email-masked]> writes:
> 
>> This was discussed earlier this year:
>>
>> http://thread.gmane.org/gmane.comp.version-control.git/189715
>>
>> What about pointing at non-existing references? Should this
>> still be allowed?
> 
> How else would you reimplement "checkout --orphan" in your own
> Porcelain using symbolic-ref?

Forgot about that.

>>
>> Additionally, I had to reindent two lines to make git-am happy
>> (indent with spaces).
> 
> I doubt that it is needed; the '-' lines show runs of HT followed by
> fewer than 8 SP, which should not trigger "indent with spaces".

I've only noticed because git-am was telling me when I tried to
apply the patch.? Am I missing something?